## mx4j.log
Class FileLogger

    java.lang.Object
      mx4j.log.Logger
          mx4j.log.FileLogger

public class FileLogger
extends Logger

This logger logs to a file.

It's used by the ModelMBean implementation.
Since the constructor takes a parameter, cannot be used as prototype for logging redirection.

Version:
  $Revision: 1.5 $

Field Summary

Fields inherited from class mx4j.log.Logger
`DEBUG, ERROR, FATAL, INFO, TRACE, WARN`

Constructor Summary
`FileLogger(java.lang.String location)`

Method Summary
`protected void` `log(int priority, java.lang.Object message, java.lang.Throwable t)`

Methods inherited from class mx4j.log.Logger
`debug, debug, error, error, fatal, fatal, getCategory, getPriority, info, info, isEnabledFor, setCategory, setPriority, trace, trace, warn, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileLogger

    public FileLogger(java.lang.String location)

Method Detail

### log

    protected void log(int priority,
                       java.lang.Object message,
                       java.lang.Throwable t)

  Overrides:
    `log` in class `Logger`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.